For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Order History

Use this method to get all orders created by the logged in user

Get Orders

GET https://v2-order-api.citypay.io/orders/api

Query Parameters

Name
Type
Description

page

number

The page of the list

limit

number

The number of the items on one page

Headers

Name
Type
Description

bearer_token

string

Authentication token

{
    "statusCode": 200,
    "data": {
        "items": [
            {
                "id": 2876,
                "token": "token 1",
                "createdAtMiliseconds": 1617786773000,
                "amount": "5.00",
                "status": {
                    "code": "IN_PROGRESS",
                    "label": "IN_PROGRESS"
                },
                "currency": {
                    "id": 2,
                    "currency": "US Dollar",
                    "abbreviation": "USD"
                }
            }
        ],
        "meta": {
            "totalCount": 1,
            "pagesCount": 1,
            "currentPage": 0,
            "nextPage": null
        }
    }
}

Last updated